using System;
using System.Data;
using System.Data.SqlClient;
using System.Web;
using System.IO;
using UUN;
using System.Collections;
using System.Text;

public partial class wClub_User_Set2:System.Web.UI.Page
{
	//------------------------------
	// 此文件代码由工具自动生成
	// 2010-5-23 10:49:26
	// UUNSOFT.COM 版权所有
	//------------------------------
	private 访问 访问;
	private StringBuilder 返回值;
	protected void Page_Load(object sender,EventArgs e)
	{
		访问 = new 访问(this.Context);
		访问.是否前台=true;
		访问.是否WML=true;
		访问.开始处理("用户设置提交","网站页面","用户设置提交",new 访问.回调委托(ZhiXing));
		访问.关闭连接();
	}
	private void ZhiXing()
	{
		返回值=new StringBuilder();

		访问.验证会员();
		修改设置提交();
		返回值.Append(@"<?xml version=""1.0"" encoding=""utf-8""?>
<!DOCTYPE wml PUBLIC ""-//WAPFORUM//DTD WML 1.1//EN"" ""http://www.wapforum.org/DTD/wml_1.1.xml"">
<wml>
<head>
<meta http-equiv=""Cache-Control"" content=""max-age=0"" />
</head>

<card title=""用户设置提交"">
<p>
");
		返回值.Append(new 消息(this.Context,访问.连接).弹出消息(访问.用户));
		返回值.Append(@"


修改设置成功<br/>
<a href=""User_Set.aspx?");
		返回值.Append(Server.HtmlEncode(程序.设置["标识名称"].ToString()));
		返回值.Append(@"=");
		返回值.Append(访问.用户["标识"].ToString());
		返回值.Append(@""">返回修改设置</a><br/>
<a href=""");
		返回值.Append(Server.HtmlEncode(常用.处理地址(程序.安装位置+"Club/User_Default.aspx",访问.用户["标识"].ToString())));
		返回值.Append(@""">返回个人中心</a><br/>
<a href=""");
		返回值.Append(Server.HtmlEncode(常用.处理地址(程序.安装位置+"club/page.aspx?ID=1",访问.用户["标识"].ToString())));
		返回值.Append(@""">返回社区首页</a><br/>
<a href=""");
		返回值.Append(Server.HtmlEncode(常用.处理地址(程序.安装位置+"page.aspx?ID=1",访问.用户["标识"].ToString())));
		返回值.Append(@""">返回首页</a><br/>
");
		返回值.Append(DateTime.Now.ToString(@"MM月dd日 HH:mm"));
		返回值.Append(@"




</p>
</card>
</wml>");
		Response.Write(返回值);
		Response.Write("<!-- Powered by www.uunsoft.com -->");
	}

		private void 修改设置提交()
		{
			int 一页显示记录数=Convert.ToInt32(Request.Form["Page_Record"]);
			int 一页显示文字数=Convert.ToInt32(Request.Form["Page_Text"]);
			int 一页显示图片数=Convert.ToInt32(Request.Form["Page_Image"]);
			int 一页显示文件数=Convert.ToInt32(Request.Form["Page_File"]);

			if(一页显示记录数<1||一页显示记录数>50)
				throw new Exception("一页显示记录数只能在1-50之间");
			if(一页显示文字数<50||一页显示文字数>10000)
				throw new Exception("一页显示文字数只能在50-10000之间");
			if(一页显示图片数<1||一页显示图片数>20)
				throw new Exception("一页显示图片数只能在1-20之间");
			if(一页显示文件数<1||一页显示文件数>50)
				throw new Exception("一页显示文件数只能在1-50之间");

			SqlCommand 语句=new SqlCommand("UPDATE ["+程序.数据表前缀+"社区_用户_用户] SET "+
				"[一页显示记录数]=@一页显示记录数,"+
				"[一页显示文字数]=@一页显示文字数,"+
				"[一页显示图片数]=@一页显示图片数,"+
				"[一页显示文件数]=@一页显示文件数 WHERE [ID]="+访问.用户["ID"],访问.连接);
			语句.Parameters.Add("@一页显示记录数",SqlDbType.Int).Value=一页显示记录数;
			语句.Parameters.Add("@一页显示文字数",SqlDbType.Int).Value=一页显示文字数;
			语句.Parameters.Add("@一页显示图片数",SqlDbType.Int).Value=一页显示图片数;
			语句.Parameters.Add("@一页显示文件数",SqlDbType.Int).Value=一页显示文件数;
			语句.ExecuteNonQuery();
		}
}